Module java.desktop
Package java.beans.beancontext

## Interface BeanContextServiceProviderBeanInfo

All Superinterfaces:
  BeanInfo

    public interface BeanContextServiceProviderBeanInfo
    extends BeanInfo

A BeanContextServiceProvider implementor who wishes to provide explicit information about the services their bean may provide shall implement a BeanInfo class that implements this BeanInfo subinterface and provides explicit information about the methods, properties, events, etc, of their services.

### Field Summary

### Fields inherited from interface java.beans.BeanInfo

`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

### Method Summary

All Methods Instance Methods Abstract Methods
`BeanInfo[]` `getServicesBeanInfo()` Gets a `BeanInfo` array, one for each service class or interface statically available from this ServiceProvider.

### Methods inherited from interface java.beans.BeanInfo

`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

### Method Detail

#### getServicesBeanInfo

    BeanInfo[] getServicesBeanInfo()

Gets a `BeanInfo` array, one for each service class or interface statically available from this ServiceProvider.

Returns:
  the `BeanInfo` array